/* 
* ################################################################
* 
* FC2Parameterized: A Java(TM) interpreter for Parameterized FC2 Format files
* 
* Copyright (C) 2004 INRIA
* Contact: vercors@sophia.inria.fr
* 
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*  
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*  
*  Initial developer(s):               Oasis Project
*                        http://www.inria.fr/oasis
*  Contributor(s): 
* 
* ################################################################
*/ 

package fr.inria.oasis.fc2;

import java.util.HashMap;


/**
 * @author tbarros
 *
 * To change this generated comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class PreNetEvaluation {
    protected int vertexs;
	protected Reference[] vertexRefererences;
	protected HashMap[] behavRef;
    protected int edges;

    public PreNetEvaluation() {
        super();
    }

    public PreNetEvaluation(int vertexs) {
        vertexRefererences = new Reference[vertexs];
		//vertexValues = new ArrayList[vertexs];
		//vertexVariables = new Expr[vertexs];
    }

    public String toString() {
        return ("Vertexs = " + vertexs + "; Edges = " + edges);
    }

    /**
     * @return
     */
    public int getEdges() {
        return edges;
    }

    /**
     * @return
     */
    public int getVertexs() {
        return vertexs;
    }


    /**
     * @param i
     */
    public void setEdges(int i) {
        edges = i;
    }

    /**
     * @param i
     */
    public void setVertexs(int i) {
        vertexs = i;
    }
}
