#!/bin/sh

JAVA_HOME=${JAVA_HOME-NULL};
if [ "$JAVA_HOME" = "NULL" ]
then
echo
echo "The enviroment variable JAVA_HOME must be set the current jdk distribution"
echo "installed on your computer."
echo "Use "
echo "    export JAVA_HOME=<the directory where is the JDK>"
exit 127
fi

CLASSPATH=../../FC2Instantiate.jar:../../FC2Parser/FC2Parser.jar:../../lib/jargs.jar:../../FC2Parser/lib/java_cup.jar
JAVACMD=$JAVA_HOME"/bin/java -Xmx1000m -cp "$CLASSPATH
FC2PARAMETRIZED=fr.inria.oasis.fc2.FC2Instantiate
DIR=.

echo "--- Instanciating Philos ------------------------------------" 
echo $JAVACMD $FC2PARAMETRIZED -o PhiloNetInstantiated.fc2 -d PhiloNetParam.fc2 PhiloNetInstValues.fc2 
$JAVACMD $FC2PARAMETRIZED -o PhiloNetInstantiated.fc2 -d PhiloNetParam.fc2 PhiloNetInstValues.fc2 
