/* 
* ################################################################
* 
* FC2Parser: A Java(TM) parser for FC2 Format files
* 
* Copyright (C) 2004 INRIA
* Contact: vercors@sophia.inria.fr
* 
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*  
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*  
*  Initial developer(s):               Oasis Project
*                        http://www.inria.fr/oasis
*  Contributor(s): 
* 
* ################################################################
*/ package fr.inria.oasis.fc2.parser;

import java.io.FileInputStream;


class Fc2Parse {

   public static void main (String[] args) throws Exception {
   Fc2Parser parser_obj = new Fc2Parser(new Yylex(new FileInputStream(args[0])),true,true);
     //  parser_obj.set_trace_lex(false);

      parser_obj.parse();
      System.out.println(parser_obj.get_abs_tree().verifyTypes());
      parser_obj.abs_tree.pp(System.out,false);
   }
}
