/* 
* ################################################################
* 
* FC2Parameterized: A Java(TM) interpreter for Parameterized FC2 Format files
* 
* Copyright (C) 2004 INRIA
* Contact: vercors@sophia.inria.fr
* 
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*  
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*  
*  Initial developer(s):               Oasis Project
*                        http://www.inria.fr/oasis
*  Contributor(s): 
* 
* ################################################################
*/ 

package fr.inria.oasis.fc2;

import java.util.HashMap;


/**
 * @author tbarros
 *
 * To change this generated comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class Reference extends HashMap {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1;
	public int offset;

	public Reference(int size) {
		super(size);
	}

	public Reference() {
		super();
	}

    public Integer getRef(Object key) {
        if (key == null) {
            key = "";
        }

        Integer val = (Integer) get(key);

        if (val == null) {
            return (val);
        }

        return (new Integer(val.intValue() + offset));
    }

    /**
     * @param i
     */
    public void setOffset(int i) {
        offset = i;
    }

    /**
     * @return
     */
    public int getOffset() {
        return offset;
    }

    public String toString() {
        return "offset=" + offset + " - " + super.toString();
    }
}
